﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PayConnect1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        

     
        private void button1_Click(object sender, EventArgs e)
        {
            double m = Convert.ToDouble(textBox1.Text);
            int sms = Convert.ToInt32(textBox2.Text);
            double k1 = 0.0; double k2 = 0.0;

            int m1 = Convert.ToInt32(Math.Ceiling(m));

            if (radioButton1.Checked)
            {
                if (m1 <= 60) k1 = 1.75 * m1; else k1=60 * 1.75 + (m1 - 60) * 0.9;
                k2 = sms * 0.8;
                 }
            if (radioButton2.Checked)
            { k1 = m1; k2 = sms; }
            if (radioButton3.Checked)
            {
                if (m1 <= 100) k1 = 50; else k1 = 50 + (m1 - 100) * 1.5;
                k2 = sms * 0.8;
            }

            if (checkBox1.Checked) { k1 = k1 * 0.85; k2 = k2 *0.85 ; }

            double sum = k1 + k2;
            textBox3.Text = sum.ToString();
           
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            radioButton3.Checked = true;
            checkBox1.Checked = true;
            button1.Enabled = false;
            textBox1.Focus();
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            //Ввод только цифр
            if ((e.KeyChar >= '0') && (e.KeyChar <= '9'))
            {    //введена цифра
                return;
            }
            //Замена введенной точки на запятую
            if (e.KeyChar == '.') e.KeyChar = ',';

            //Запрет повторного ввода запятой и запрет ввода запятой первым символом

            if (e.KeyChar == ',')
            {
                if ((textBox1.Text.IndexOf(',') != -1)|| (textBox1.Text.Length == 0))
                { e.Handled = true; }
                return;
            }
            //по нажатию на Enter переведем фокус на другое текстовое поле
            if (Char.IsControl(e.KeyChar))
            {
                if (e.KeyChar == (char)Keys.Enter)
                    textBox2.Focus();

            }
            //Разрешаем нажимать клавишу BackSpace
            if (Char.IsControl(e.KeyChar))
            {
                if (e.KeyChar == (char)Keys.Back)
                    return;

            }

            e.Handled = true;
        }

        private void textBox2_KeyPress(object sender, KeyPressEventArgs e)
        {
            //Ввод только цифр
            if ((e.KeyChar >= '0') && (e.KeyChar <= '9'))
            {    //введена цифра
                return;
            }
            
            //Разрешаем нажимать клавишу BackSpace
            if (Char.IsControl(e.KeyChar))
            {
                if (e.KeyChar == (char)Keys.Back)
                    return;

            }

            //по нажатию на Enter проверим наличие данных в первой строке и
            //переведем фокус и активируем кнопку
            if (Char.IsControl(e.KeyChar))
            {
                if ((e.KeyChar == (char)Keys.Enter) && (textBox1.Text != ""))
                {
                    button1.Focus();
                    button1.Enabled = true;
                }

            }

            e.Handled = true;
        }
    }
    }

